Skip to main content
GET
/
stores
Gets Store List.
curl --request GET \
  --url https://api.sandbox.paylead.tech/stores \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.sandbox.paylead.tech/stores"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.sandbox.paylead.tech/stores', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "name": "MY LITTLE BRAND PARIS",
      "address": "55 rue des moulins",
      "brand": {
        "name": "<string>",
        "created_at": "2019-01-31T15:16:15.523309+00:00",
        "id": "e2c32b4b-de61-459b-accf-a75f76247946",
        "logo": {
          "content_type": "<string>",
          "id": "e2c32b4b-de61-459b-accf-a75f76247946",
          "links": {
            "download": "<string>",
            "preview": "<string>"
          },
          "name": "<string>",
          "owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        },
        "updated_at": "2020-01-23T12:00:00+00:00"
      },
      "business_name": "MY BRAND SARL",
      "city": "Paris",
      "country": "France",
      "created_at": "2019-01-31T15:16:15.523309+00:00",
      "id": "e2c32b4b-de61-459b-accf-a75f76247946",
      "is_online": true,
      "latitude": 50.51534475,
      "longitude": 6.0646992,
      "merchant": {
        "id": "e2c32b4b-de61-459b-accf-a75f76247946",
        "name": "<string>",
        "created_at": "2019-01-31T15:16:15.523309+00:00",
        "has_delegation": true,
        "logo": {
          "content_type": "<string>",
          "id": "e2c32b4b-de61-459b-accf-a75f76247946",
          "links": {
            "download": "<string>",
            "preview": "<string>"
          },
          "name": "<string>",
          "owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        }
      },
      "networks": [
        {
          "created_at": "2019-01-31T15:16:15.523309+00:00",
          "id": "e2c32b4b-de61-459b-accf-a75f76247946",
          "logo": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "stores_total": 123
        }
      ],
      "offers": [
        {
          "cashback_rate": 5,
          "highlight_level": "HIGH",
          "id": "e2c32b4b-de61-459b-accf-a75f76247946",
          "name": "<string>",
          "status": "<string>",
          "type": "CASHBACK",
          "application_channel": "ONLINE",
          "application_url": "https://www.mybrand.fr",
          "brand": {
            "description": "<string>",
            "id": "e2c32b4b-de61-459b-accf-a75f76247946",
            "legal_terms": "<string>",
            "logo": {
              "content_type": "<string>",
              "id": "e2c32b4b-de61-459b-accf-a75f76247946",
              "links": {
                "download": "<string>",
                "preview": "<string>"
              },
              "name": "<string>",
              "owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
            },
            "name": "<string>",
            "universes": [
              {
                "children": "<array>",
                "id": "e2c32b4b-de61-459b-accf-a75f76247946",
                "name": "<string>",
                "parent_id": "5c5e6d04-9dfc-46b8-9432-7c977f1dca23"
              }
            ]
          },
          "consumed": true,
          "created_at": "2019-01-31T15:16:15.523309+00:00",
          "description": "<string>",
          "end_date": "2017-12-26T23:00:00+00:00",
          "favorite": true,
          "is_activated": true,
          "legal_terms": "<string>",
          "max_amount": 250,
          "max_cashbacks_per_consumer": 123,
          "merchant": {
            "name": "<string>",
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "logo": {
              "content_type": "<string>",
              "id": "e2c32b4b-de61-459b-accf-a75f76247946",
              "links": {
                "download": "<string>",
                "preview": "<string>"
              },
              "name": "<string>",
              "owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
            }
          },
          "min_amount": 40,
          "network": "739c5ba7-8831-4664-9ce3-73e9f1e50c09",
          "picture": {
            "content_type": "<string>",
            "id": "e2c32b4b-de61-459b-accf-a75f76247946",
            "links": {
              "download": "<string>",
              "preview": "<string>"
            },
            "name": "<string>",
            "owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          },
          "program": {
            "id": "<string>",
            "legal_terms": "<string>",
            "name": "<string>"
          },
          "publication_date": "2019-01-01T00:00:00+00:00",
          "reference": "MYBRAND-20180220-001",
          "segments": [
            {
              "id": "e2c32b4b-de61-459b-accf-a75f76247946"
            }
          ],
          "source_transaction": true,
          "start_date": "2018-12-21T00:00:00+00:00",
          "universes": [
            {
              "id": "e2c32b4b-de61-459b-accf-a75f76247946",
              "name": "<string>"
            }
          ]
        }
      ],
      "phone_number": "0102030405",
      "siret": 81968937300010,
      "website": "https://www.paylead.fr/",
      "zip_code": 84120
    }
  ],
  "meta": {
    "page": 123,
    "per_page": 123,
    "total": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

active_offer
boolean

Filter by store with active offer (accessible only for connector or consumer)

address
string

Filter by address

Address of the Store

brand
string<uuid>

Filter by brand

The brand that is being promoted by the offer. Can be different from the Merchant (ex. Monoprix merchant can issue offers on Naturalia brand)

brand__name
string

Filter by brand__name

Name of the brand

brand__universe
string<uuid>

Filter by brand__universe

city
string

Filter by city

City of the store

distance
number

Filter by maximum distance (in meters)

is_online
boolean

Filter by is_online

TRUE if the store is online (no address, no geolocation, url); FALSE if the store is physical

merchant
string<uuid>

Filter by merchant

Merchant that has created the offer

name
string

Filter by name

Name of the object

offer
string<uuid>

Filter by offer

offer

page
integer

the page number

Required range: x >= 1
per_page
integer

the number of elements per page

Required range: 1 <= x <= 100
siret
string

Filter by siret

SIRET of the current Store. Siret is a 14-digit business identification number managed by INSEE. The Siret consists of the Siren number of 9 digits which identifies the company, a 4-digit number to identify the establishment and 1 digit forming a control key to verify Luhn's algorithm

sort
enum<string>

Sort by given attribute

Available options:
name,
brand,
brand__name,
brand__universe,
siret,
address,
zip_code,
city,
merchant,
is_online,
offer,
-name,
-brand,
-brand__name,
-brand__universe,
-siret,
-address,
-zip_code,
-city,
-merchant,
-is_online,
-offer
zip_code
string

Filter by zip_code

Zip code of the store

Response

OK

items
object[]
meta
object